#!/system/bin/sh
binprefix="/system/bin/busybox "
${binprefix}test ! ${1} && echo "Usage: ${0##*/} <nfs-share> [<mountpoint>]" && exit 1
modpath="${ANDROID_DATA}/lib/modules"
modules="sunrpc lockd auth_rpcgss nfs"
${binprefix}cat /proc/modules | ${binprefix}grep -q ^nfs
if ${binprefix}test $? -ne 0; then
  for m in ${modules}; do
    ${ANDROID_ROOT}/bin/insmod ${modpath}/${m}.ko  
  done
fi
if ${binprefix}test -z "${2}" ; then
  #mnt=${ANDROID_DATA}/mnt-nfs
  mnt="/mnt/nfs"
  ${binprefix}mount -wo remount /
else
  mnt=${2}
fi
if ${binprefix}test ! -d ${mnt};then
  read -p "Mountpoint '${mnt}' does not exist! Create? [Y/N]: " c
  case ${c} in
    y|Y)
      ${binprefix}mkdir -p ${mnt}
      ${binprefix}chmod 777 ${mnt}
      ;;
    *)
      exit
      ;;
  esac
fi
#read -p "Username: " user
if ${binprefix}test ! -z ${user};then
  read -p "Password: " pass
fi
#opt="rw,intr,soft,nolock,rsize=8192,wsize=8192"
opt="intr,soft,nolock,rsize=8192,wsize=8192"
#username=${user},password=${pass} 
${binprefix}mount -t nfs -o ${opt} ${1} ${mnt}
